'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Service = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('isomorphic-fetch');

var _serviceUtils = require('./serviceUtils');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Service = exports.Service = function () {
  function Service() {
    _classCallCheck(this, Service);
  }

  _createClass(Service, null, [{
    key: 'validateProof',
    value: function validateProof(proof, fqdn) {
      var _this = this;

      return new Promise(function (resolve) {
        try {
          var proofUrl = _this.getProofUrl(proof);
          fetch(proofUrl).then(function (res) {
            if (res.status === 200) {
              res.text().then(function (text) {
                proof.valid = (0, _serviceUtils.containsValidProofStatement)(text, fqdn);
                resolve(proof);
              });
            } else {
              console.error('Proof url ' + proofUrl + ' returned unexpected http status ' + res.status + '.\n              Unable to validate proof.');
              proof.valid = false;
              resolve(proof);
            }
          }).catch(function (err) {
            console.error(err);
            proof.valid = false;
            resolve(proof);
          });
        } catch (e) {
          console.error(e);
          proof.valid = false;
          resolve(proof);
        }
      });
    }
  }, {
    key: 'getBaseUrls',
    value: function getBaseUrls() {
      return [];
    }
  }, {
    key: 'getProofUrl',
    value: function getProofUrl(proof) {
      var baseUrls = this.getBaseUrls();
      for (var i = 0; i < baseUrls.length; i++) {
        if (proof.proof_url.startsWith('' + baseUrls[i] + proof.identifier)) {
          return proof.proof_url;
        }
      }
      throw new Error('Proof url ' + proof.proof_url + ' is not valid for service ' + proof.service);
    }
  }]);

  return Service;
}();