'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFile = getFile;
exports.putFile = putFile;

var _blockstackStorage = require('blockstack-storage');

/**
 * Retrieves the specified file from the app's data store.
 * @param {String} path - the path to the file to read
 * @returns {Promise} that resolves to the raw data in the file
 * or rejects with an error
 */
function getFile(path) {
  return (0, _blockstackStorage.getFile)(path);
}

/**
 * Stores the data provided in the app's data store to to the file specified.
 * @param {String} path - the path to store the data in
 * @param {String|Buffer} content - the data to store in the file
 * @return {Promise} that resolves if the operation succeed and rejects
 * if it failed
 */

function putFile(path, content) {
  return (0, _blockstackStorage.putFile)(path, content);
}