'use strict';

//import test from 'tape'

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.runUtilsTests = runUtilsTests;

var _tape = require('tape-promise/tape');

var _tape2 = _interopRequireDefault(_tape);

var _jsontokens = require('jsontokens');

var _lib = require('../../../lib');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function runUtilsTests() {
  (0, _tape2.default)('makeECPrivateKey', function (t) {
    t.plan(5);

    var entropy = (0, _lib.getEntropy)(32);
    t.ok(entropy, 'Entropy should have been created');

    var privateKey = (0, _lib.makeECPrivateKey)();
    t.ok(privateKey, 'Private key should have been created');
    t.equal(typeof privateKey === 'undefined' ? 'undefined' : _typeof(privateKey), 'string', 'Private key should be a string');

    var publicKey = _jsontokens.SECP256K1Client.derivePublicKey(privateKey);

    var address = (0, _lib.publicKeyToAddress)(publicKey);
    t.ok(address, 'Address should have been created');
    t.equal(typeof address === 'undefined' ? 'undefined' : _typeof(address), 'string', 'Address should be a string');
  });
}